/*
 * SimulationServer.java
 *
 * Created on July 4, 2006, 9:22 AM
 *
 *  Virtual Fight. A programming game.
 *  Copyright (C) 2006  Aidin Gharibnavaz.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

package virtualfight.network;

/**
 * @author Aidin Gharibnavaz
 *         (aidin.vf@gmail.com)
 */
import java.net.ServerSocket;
import java.net.Socket;

import virtualfight.VirtualFight;

public class SimulationServer {
    
    public ClientHandler[] client;
    
    public SimulationServer(int Port,int maxClients,VirtualFight main) {
        
        client= new ClientHandler[maxClients];
        
        try{
            ServerSocket serverSock = new ServerSocket(Port);
            Socket clientSock;
            String clientAddress;
            
            for (int i=0;i<maxClients;i++){
                System.out.println("Waiting for a client ...");
                clientSock = serverSock.accept();
                clientAddress = clientSock.getInetAddress().getHostAddress();
                //create a clientHandler. 'i' is the client ID.
                client[i]=new ClientHandler(clientSock, clientAddress,i,main);
                client[i].start();
                client[i].sendMessage("OK");
            }
            
        }catch (Exception e){
            System.out.println(e);
        }
    }
    
}
